# django-bigbluebutton

A Django Application for better interaction of Django projects with Big Blue Button APIs.

### Requirements

To use this package following needed. if not provided will be installed automatically.
```
Django>=2.0
requests>=2.0
```

### Installation

**Note:** This package is well tested on `django>=2.0`. But if you are using older versions can be
used with minor changes in structure.

install using pip:
```
$ pip install django-bigbluebutton
```

### Usage
Register app in `settings.py`

```
INSTALLED_APPS = [
    "django_bigbluebutton",
]
```

Now should define you Big Blue Button Server core configs in `settings.py`:

```
BBB_API_URL = 'https://test.com/bigbluebutton/api/'
BBB_SECRET_KEY = 'abcdefgabcdefgabcdefgabcdefgabcdefg'
```

Next apply migrations:
```
python manage.py migrate
```

And finally run test:

```
python manage.py test
```

You can follow `tests.py` file to see how to use this package.